Lintian Reports

E dh-manual-sequence-control-obsolete

All reports of dh-manual-sequence-control-obsolete for the archive. The extended description of this tag is:

The package uses one (or more) of the obsolete dh parameters to control the debhelper command sequence. This method has been deprecated and is now replaced by override targets. If you had:

     [...]
     install: build
              dh install --before dh_auto_install
              dh_auto_install -- PKG_DEST_DIR=`pwd`/debian/tmp/usr
              dh install --after dh_auto_install
     [...]
    

This should now be replaced by:

      %:
           dh $@
    
    
      override_dh_auto_install:
           dh_auto_install -- PKG_DEST_DIR=`pwd`/debian/tmp/usr
    

Please refer to the debhelper documentation for more information.

Refer to https://lists.debian.org/debian-devel-changes/2011/08/msg00519.html and the debhelper(7) manual page for details.

Severity: important, Certainty: certain

Check: debhelper, Type: source

Evolution of the dh-manual-sequence-control-obsolete Lintian tag over the past 366 days:

The beforementioned graph for the dh-manual-sequence-control-obsolete tag

Emitted (non-overridden): 61, overridden: 0, total: 61

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

adns 1.5.0~rc1-1.1 (source)

daa2iso 0.1.7e-1 (source)

ed 1.10-2.1 (source)

espresso 6.0-3.1 (source)

exiftags 1.01-6 (source)

fbcat 0.3-1 (source)

flowcanvas 0.7.1+dfsg0-0.4 (source)

getlive 2.4+cvs20120801-1 (source)

gnome-subtitles 1.3-2 (source)

gtkperf 0.40+ds-2 (source)

lcrack 20040914-1 (source)

libfile-finder-perl 0.53-1 (source)

libinnodb 1.0.6.6750-1 (source)

libtemplate-perl 2.24-1.2 (source)

longrun 0.9-22 (source)

mokomaze 0.5.5+git8+dfsg0-4 (source)

ncap 1.9.2-2.2 (source)

sparkline-php 0.2-6 (source)

swapspace 1.10-4 (source)

sysnews 0.9-17 (source)

x11vnc 0.9.13-2 (source)